-module(eNet_sup).

-behaviour(supervisor).

-export([
   start_link/0
]).

-export([
   init/1
]).

-spec(start_link() -> {ok, pid()} | {error, term()}).
start_link() ->
   supervisor:start_link({local, ?MODULE}, ?MODULE, undefined).

init(_Args) ->
   SupFlag = #{strategy => one_for_one, intensity => 100, period => 3600},
   ChildSpecs = [
      #{
         id => ntMgr,
         start => {ntMgr, start_link, []},
         restart => permanent,
         shutdown => 3000,
         type => worker,
         modules => [ntMgr]
      }
   ],
   {ok, {SupFlag, ChildSpecs}}.
